Page MenuHomePhabricator

Determine best place to announce "last call" for ArchCom-RFCs
Closed, ResolvedPublic

Description

We currently make TechCom-RFC last call announcements on wikitech-l. Is that the correct place? This question was asked in the 2016-09-07 ArchCom Planning meeting (E268)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2016, 6:26 PM

Were any alternatives proposed?

Were any alternatives proposed?

The viable options I'm aware of:

  1. wikitech-l
  2. Some other mailing list (e.g. wikitech-ambassadors, some announcement mailing list)
  3. Some on-wiki notification on mediawiki.org
  4. Some combination of the above (e.g. multiple mailing lists)

One note for myself: as part of completing this task, I'd like to move https://www.mediawiki.org/wiki/User:RobLa-WMF/Wikitech-l to https://www.mediawiki.org/wiki/Wikitech-l , since I believe that wikitech-l is important enough to MediaWiki that it should have page on MediaWiki.org describing this list and its role as "paper of record" for last call announcements (assuming we keep this on wikitech-l)

I think wikitech-l should always receive last call announcements. wikitech-ambassadors maybe if it is relevant.

I think we could add a |status=lastcall parameter to {{rfc}} plus the category to generate a "RfCs in Last call" listing on https://www.mediawiki.org/wiki/Requests_for_comment for example.

I think wikitech-l should always receive last call announcements. wikitech-ambassadors maybe if it is relevant.

I think we could add a |status=lastcall parameter to {{rfc}} plus the category to generate a "RfCs in Last call" listing on https://www.mediawiki.org/wiki/Requests_for_comment for example.

Hmmm....short of doing a lot of bot programming to pull this information out of Phab, I'd prefer to refer people back to Phab rather than manually syncing two different sources (DRY principle).

Ultimately, I hope Phab upstream can improve their API to make it so that it's easier to pull workboard column IDs. That would make it so that it possible for us to have tighter coupling of Phab and MediaWiki. As I recall from the last time I worked extensively with the Phab API, workboard column was difficult information to extract (IIRC, I needed to use BeautifulSoup to scrape the information off the web view). Phab has been going through rapid evolution since I last looked, so there may be sensible, stable web APIs for this information now.

Aklapper removed RobLa-WMF as the assignee of this task.Nov 7 2016, 11:11 PM
Krinkle closed this task as Resolved.Mar 31 2017, 8:40 PM
Krinkle claimed this task.

Closing for now as we've established this now in recent months.

  • Last Call gets a dedicated e-mail about it to Wikitech-l.
  • The decision is included in the minutes (published on-wiki at https://www.mediawiki.org/wiki/Architecture_committee/Minutes, and also in its own weekly mail to Wikitech-l).
  • Reflected on Phabricator by a workboard column change and possibly a comment.